#pragma once

#include "renderer.hpp"

#include "glclasses.hpp"
#include "game.hpp"
#include "state/planet.hpp"
#include "state/trace.hpp"
#include "state/player.hpp"
#include "state/ship.hpp"

namespace endofthejedi {

    class RendererRayTracer : public Renderer {
        private:
            Shader m_shader;
        protected:
        public:
            RendererRayTracer();

            void setup() override;
            void render(const game::State *state) override;
    };

}
